LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRef Interface Referencepublished

is the reference to a SQL structured type value in the database. More...

`import"XRef.idl";`

Inheritance diagram for XRef:

## Public Member Functions
string | getBaseTypeName () raises (SQLException)
| gets the fully-qualified SQL structured type name of the referenced item. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the reference to a SQL structured type value in the database.

A Ref can be saved to persistent storage. A Ref is dereferenced by passing it as a parameter to a SQL statement and executing the statement.

## Member Function Documentation

## ◆ getBaseTypeName()

string getBaseTypeName | ( |  | ) |
raises | ( | SQLException
| ) |  |

gets the fully-qualified SQL structured type name of the referenced item.

Returns
  the base type name

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XRef.idl